Package wx :: Class FindReplaceDialog

[frames | no frames]

## Type FindReplaceDialog

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                        Dialog --+
                                 |
                                FindReplaceDialog

wx.FindReplaceDialog is a standard modeless dialog which is used to allow the user to search for some text (and possibly replace it with something else). The actual searching is supposed to be done in the owner window which is the parent of this dialog. Note that it means that unlike for the other standard dialogs this one must have a parent window. Also note that there is no way to use this dialog in a modal way; it is always, by design and implementation, modeless.

# Window Styles

> wx.FR_REPLACEDIALOG | replace dialog (otherwise find dialog)
> wx.FR_NOUPDOWN | don't allow changing the search direction
> wx.FR_NOMATCHCASE | don't allow case sensitive searching
> wx.FR_NOWHOLEWORD | don't allow whole word searching

Method Summary
FindReplaceDialog | ``__init__`(self, parent, data, title, style)` Create a FindReplaceDialog.
bool | ``Create`(self, parent, data, title, style)` Create the dialog, for 2-phase create.
FindReplaceData | ``GetData`(self)` Get the FindReplaceData object used by this dialog.
| ``SetData`(self, data)` Set the FindReplaceData object used by this dialog.

Property Summary
| `Data`: See `GetData` and `SetData`
| `thisown`: The membership flag

Class Variable Summary

Instance Method Details

### __init__(self, parent, data, title, style=0)
(Constructor)

Create a FindReplaceDialog. The parent and data parameters must be non-None. Use Show to display the dialog.

  Parameters:
    `parent`
    (type=Window)

    `data`
    (type=FindReplaceData)

    `title`
    (type=String)

    `style`
    (type=int)

  Returns:
    FindReplaceDialog
  Overrides:
    `wx.Dialog.__init__`

### Create(self, parent, data, title, style=0)

Create the dialog, for 2-phase create.

  Parameters:
    `parent`
    (type=Window)

    `data`
    (type=FindReplaceData)

    `title`
    (type=String)

    `style`
    (type=int)

  Returns:
    bool
  Overrides:
    `wx.Dialog.Create`

### GetData(self)

Get the FindReplaceData object used by this dialog.

  Returns:
    FindReplaceData

### SetData(self, data)

Set the FindReplaceData object used by this dialog.

  Parameters:
    `data`
    (type=FindReplaceData)

Property Details

### Data

See `GetData` and `SetData`

  Get Method:
    `GetData`(self)
  Set Method:
    `SetData`(self, data)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:01 2007 | http://epydoc.sf.net